## ros-one-actionlib-tutorials 0.2.0-2noble.20251023.0242

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(actionlib_tutorials)

## Find catkin dependencies
find_package(catkin REQUIRED COMPONENTS actionlib message_generation)

## Find Boost
find_package(Boost REQUIRED COMPONENTS system thread)

## Add actions
add_action_files(DIRECTORY action FILES Fibonacci.action Averaging.action)

## Generate messages
generate_messages(DEPENDENCIES std_msgs actionlib_msgs)

## Define catkin exports
catkin_package(
  CATKIN_DEPENDS message_runtime roscpp actionlib
  DEPENDS Boost
)

## Setup include dirs
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Averaging server
add_executable(averaging_server src/averaging_server.cpp)
target_link_libraries(averaging_server ${catkin_LIBRARIES})
add_dependencies(averaging_server ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Averaging client
add_executable(averaging_client src/averaging_client.cpp)
target_link_libraries(averaging_client ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(averaging_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Fibonacci server
add_executable(fibonacci_server src/fibonacci_server.cpp)
target_link_libraries(fibonacci_server ${catkin_LIBRARIES})
add_dependencies(fibonacci_server ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Fibonacci clients
add_executable(fibonacci_client src/fibonacci_client.cpp)
add_executable(fibonacci_callback_client src/fibonacci_callback_client.cpp)
add_executable(fibonacci_class_client src/fibonacci_class_client.cpp)
target_link_libraries(fibonacci_client ${catkin_LIBRARIES})
target_link_libraries(fibonacci_callback_client ${catkin_LIBRARIES})
target_link_libraries(fibonacci_class_client ${catkin_LIBRARIES})
if(catkin_EXPORTED_TARGETS)
  add_dependencies(fibonacci_client ${catkin_EXPORTED_TARGETS})
  add_dependencies(fibonacci_callback_client ${catkin_EXPORTED_TARGETS})
  add_dependencies(fibonacci_class_client ${catkin_EXPORTED_TARGETS})
endif()
add_dependencies(fibonacci_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(fibonacci_callback_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
add_dependencies(fibonacci_class_client ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Install scripts and executables
install(PROGRAMS
  scripts/fibonacci_client.py
  scripts/fibonacci_server.py
  scripts/gen_numbers.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS averaging_server averaging_client fibonacci_server fibonacci_client
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-one-actionlib-tutorials 0.2.0-2jammy.20251023.0244

=== debian/changelog ===
ros-one-actionlib-tutorials (0.2.0-2jammy.20251023.0244) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 02:44:47 +0000

ros-one-actionlib-tutorials (0.2.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 02:44:46 -0000

ros-one-actionlib-tutorials (0.1.10-0jammy) jammy; urgency=high

  * Export message_runtime to generate wiki documentation for actionlib tutorial actions

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Dec 2016 00:00:00 -0000

ros-one-actionlib-tutorials (0.1.9-0jammy) jammy; urgency=high

  * Fix the runtime error 'SyntaxError: from __future__ imports must occur at the beginning of the file'
  * Fix on comments
  * Remove roslib references that catkin doesn't need
  * Pull old fibonacci python scripts from those linked on the wiki page
  * Contributors: Isaac I.Y. Saito, Kei Okada, Steven Peters, Vincent Rabaud

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Dec 2016 00:00:00 -0000

ros-one-actionlib-tutorials (0.1.8-0jammy) jammy; urgency=high

  * update package maintainer.
  * Use _EXPORTED_TARGETS target suffix instead of _generate_messages_cpp
  * Contributors: Daniel Stonier, Esteve Fernandez

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-actionlib-tutorials
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-message-generation, ros-one-roscpp, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/actionlib/Tutorials
Standards-Version: 3.9.2

Package: ros-one-actionlib-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-message-runtime, ros-one-roscpp
Description: The actionlib_tutorials package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-actionlib-tutorials//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-actionlib-tutorials 0.2.0-2jammy.20260220.2328

=== debian/changelog ===
ros-one-actionlib-tutorials (0.2.0-2jammy.20260220.2328) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 20 Feb 2026 23:28:21 +0000

## ros-one-actionlib-tutorials 0.2.0-2noble.20251023.0242

=== debian/changelog ===
ros-one-actionlib-tutorials (0.2.0-2noble.20251023.0242) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 02:42:52 +0000

ros-one-actionlib-tutorials (0.2.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 02:42:52 -0000

ros-one-actionlib-tutorials (0.1.10-0noble) noble; urgency=high

  * Export message_runtime to generate wiki documentation for actionlib tutorial actions

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Dec 2016 00:00:00 -0000

ros-one-actionlib-tutorials (0.1.9-0noble) noble; urgency=high

  * Fix the runtime error 'SyntaxError: from __future__ imports must occur at the beginning of the file'
  * Fix on comments
  * Remove roslib references that catkin doesn't need
  * Pull old fibonacci python scripts from those linked on the wiki page
  * Contributors: Isaac I.Y. Saito, Kei Okada, Steven Peters, Vincent Rabaud

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Dec 2016 00:00:00 -0000

ros-one-actionlib-tutorials (0.1.8-0noble) noble; urgency=high

  * update package maintainer.
  * Use _EXPORTED_TARGETS target suffix instead of _generate_messages_cpp
  * Contributors: Daniel Stonier, Esteve Fernandez

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

## ros-one-actionlib-tutorials 0.2.0-2noble.20260220.2348

=== debian/changelog ===
ros-one-actionlib-tutorials (0.2.0-2noble.20260220.2348) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 20 Feb 2026 23:48:17 +0000
